bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#8342: 24.0.50; Emacs HEAD cannot build with OS X standard autoconf


From: Steve Purcell
Subject: bug#8342: 24.0.50; Emacs HEAD cannot build with OS X standard autoconf
Date: Fri, 25 Mar 2011 19:34:55 +0000

On 25 Mar 2011, at 18:02, Andreas Schwab wrote:

> Steve Purcell <address@hidden> writes:
> 
>> IMHO, it should continue to be possible to build emacs without doing so,
>> as has always been the case.
> 
> Just use the files in autogen if you are stuck with antique software.


Yes, I am sure that will happen. And I'm the first to admit that if I still 
lived in Debian (and was able to use a new enough distro to have the requisite 
autoconf version), this problem wouldn't have affected or even interested me.

But I hope I'll be forgiven for trying to point out that:

1. Emacs HEAD users on OS X will mostly use the copy_autogen script in future
2. Those people may well end up slightly confused along the way, like me (and I 
think I qualify as very experienced)
3. Any issues arising from that confusion or the freshness of the files in 
./autogen will likely end up filed as emacs bugs

Thanks to Glenn I can now make my own build and the Homebrew build work, and 
I've provided what I hope is useful feedback on the changes, so I don't mind if 
this bug report is closed.




reply via email to

[Prev in Thread] Current Thread [Next in Thread]